# Interface Authentication

All Superinterfaces:
  `Named`

All Known Subinterfaces:
  `BasicAuthentication, DigestAuthentication`

@Incubating public interface Authentication extends Named
Base interface for transport authentication schemes.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface Named

`getName`